# Uses of Class
org.apache.sling.resourceresolver.impl.observation.ResourceChangeListenerInfo

Packages that use ResourceChangeListenerInfo
Package
Description
org.apache.sling.resourceresolver.impl.observation

## Uses of ResourceChangeListenerInfo in org.apache.sling.resourceresolver.impl.observation

Methods in org.apache.sling.resourceresolver.impl.observation that return types with arguments of type ResourceChangeListenerInfo
Modifier and Type
Method
Description
`List<ResourceChangeListenerInfo>`
BasicObserverConfiguration.`getListeners()`
All listeners associated with this configuration
Methods in org.apache.sling.resourceresolver.impl.observation with parameters of type ResourceChangeListenerInfo
Modifier and Type
Method
Description
`void`
BasicObserverConfiguration.`addListener(ResourceChangeListenerInfo listener)`
Add a listener
`int`
ResourceChangeListenerInfo.`compareTo(ResourceChangeListenerInfo o)`
Constructor parameters in org.apache.sling.resourceresolver.impl.observation with type arguments of type ResourceChangeListenerInfo
Modifier
Constructor
Description
``
`BasicObservationReporter(List<String> searchPath, Collection<ResourceChangeListenerInfo> infos)`
Create a reporter listening for resource provider changes
``
`BasicObservationReporter(List<String> searchPath, Collection<ResourceChangeListenerInfo> infos, org.apache.sling.api.resource.path.Path providerPath, org.apache.sling.api.resource.path.PathSet excludePaths)`
Create a reporter listening for a provider